Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherDump

    java.lang.Object
      org.apache.poi.ddf.EscherDump

    public final class EscherDump

extends java.lang.Object

Used to dump the contents of escher records to a PrintStream.

Author:
  Glen Stampoultzis (glens at apache.org)

Constructor Summary
`EscherDump()`

Method Summary
`void` | `dump(byte[] data, int offset, int size, java.io.PrintStream out)` Decodes the escher stream from a byte array and dumps the results to a print stream.
`void` | `dump(int recordSize, byte[] data, java.io.PrintStream out)`
`void` | `dumpOld(long maxLength, java.io.InputStream in, java.io.PrintStream out)` This version of dump is a translation from the open office escher dump routine.
`static void` | `main(java.lang.String[] args)` A simple test stub.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscherDump

    public EscherDump()

Method Detail

### dump

    public void dump(byte[] data,
                     int offset,
                     int size,
                     java.io.PrintStream out)

  Decodes the escher stream from a byte array and dumps the results to a print stream.

  Parameters:
    `data` - The data array containing the escher records.
    `offset` - The starting offset within the data array.
    `size` - The number of bytes to read.
    `out` - The output stream to write the results to.

### dumpOld

    public void dumpOld(long maxLength,
                        java.io.InputStream in,
                        java.io.PrintStream out)
                 throws java.io.IOException,
                        LittleEndian.BufferUnderrunException

  This version of dump is a translation from the open office escher dump routine.

  Parameters:
    `maxLength` - The number of bytes to read
    `in` - An input stream to read from.
    `out` - An output stream to write to.
  Throws:
    `java.io.IOException`
    `LittleEndian.BufferUnderrunException`

### main

    public static void main(java.lang.String[] args)

  A simple test stub.

### dump

    public void dump(int recordSize,
                     byte[] data,
                     java.io.PrintStream out)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.